Welcome to NeoOffice developer notes and announcements
NeoOffice
Developer notes and announcements
 
 

Download or installation problems? Try these steps
Problems after upgrading to NeoOffice 2017? Try these steps


Support
· NeoOffice Support
· NeoWiki


Announcements
· Twitter @NeoOffice


Downloads
· Download NeoOffice


RSS Feeds
· Announcements Only
· All Posts


  
NeoOffice :: View topic - Request for installer translations
Request for installer translations
 
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    NeoOffice Forum Index -> NeoWiki and Website Development
View previous topic :: View next topic  
Author Message
pluby
The Architect
The Architect


Joined: Jun 16, 2003
Posts: 11847
Location: California, USA

PostPosted: Sat Feb 06, 2010 5:07 pm    Post subject: Request for installer translations Reply with quote

I keep forgetting that we only have English error messages in the NeoOffice installer. The Mac OS X installer tool allows localized message files so if any can translate these messages, I will make sure that they are included in the next patch:

Quote:
One or more BSD commands were not found on this machine. You must install the \"BSD Subsystem\" package that is in the following folder on disk 1 of your Mac OS X installation CD:
"/Welcome to Mac OS X/Optional Installs"

You cannot install NeoOffice on this machine. Your version of Mac OS X is too old. NeoOffice can only be installed on Mac OS X 10.4 or higher.

You are using the wrong installer. You have a Mac Intel machine and this installer only works on Mac PowerPC machines. You must download the NeoOffice installer for Mac Intel machine.

You are using the wrong installer. You have a Mac PowerPC machine and this installer only works on Mac Intel machines. You must download the NeoOffice installer for Mac PowerPC machine.

You cannot install NeoOffice on this machine. You are using Mac OS X in 64 bit mode. You must use Mac OS X in 32 bit mode to install NeoOffice.

You cannot install NeoOffice on this machine. You have a unknown type of Mac machine and NeoOffice only works on Mac Intel or PowerPC machines.

You cannot install NeoOffice on this machine. The version of Java is too old. You must install the latest version of Java from Apple. To install the latest Java from Apple, select the Apple :: Software Update... menu and install any Mac OS X updates that are listed.

You must quit NeoOffice before you can install NeoOffice. Quit NeoOffice by Control-clicking on the NeoOffice icon in the Dock and selecting Quit from the popup menu that appears.

You do not have NeoOffice 3.0.2 installed. You must install NeoOffice 3.0.2 before you can install this language pack.

You have an old version of NeoOffice. You must install NeoOffice 3.0.2 before you can install this language pack.

You do not have NeoOffice 3.0.2 installed. You must install NeoOffice 3.0.2 before you can install this patch.

You have an old version of NeoOffice. You must install NeoOffice 3.0.2 before you can install this patch.


Edit by pluby: Updated wording to be translated to match simpler wording in the NeoOffice installer code.

Thanks,

Patrick


Last edited by pluby on Wed Feb 10, 2010 10:52 am; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website
pluby
The Architect
The Architect


Joined: Jun 16, 2003
Posts: 11847
Location: California, USA

PostPosted: Wed Feb 10, 2010 10:08 am    Post subject: Reply with quote

Does anyone have the time to translate these installer messages? If not, would using using Google's translation tool be reasonable even though it may not translate perfectly?

The reason that I am looking for translations after using only English messages in the installer for so many years is that Fran and I are seeing a small but continual stream of users who just cannot seem to understand the following:

1. You cannot install NeoOffice 3.0.2 on Mac OS X 10.3 Panther

2. You must quit NeoOffice before you can install a new version

I am not sure why so many Panther users are suddenly trying to install NeoOffice 3.x as we rarely saw any users have problems installing NeoOffice 3.0.1. Maybe there are a lot of new Mac users who recently received an old used Mac?

Whatever the cause, the flood of the above two questions last week indicates to me that are very new to Mac and the error messages that the installer displays is really the only way to tell the user what they need to do as I suspect that few of these users, even if they have donated enough, will likely post a question on the forum.

Is anyone seeing a similar increase in new Mac users using Panther on other sites?

Patrick
Back to top
View user's profile Send private message Visit poster's website
sardisson
Town Crier
Town Crier


Joined: Feb 01, 2004
Posts: 4588

PostPosted: Wed Feb 10, 2010 10:22 am    Post subject: Reply with quote

pluby wrote:
Is anyone seeing a similar increase in new Mac users using Panther on other sites?

Not new Mac users, no, but now that pretty much nothing new supports 10.3, any place that has a still-available version that supports 10.3 does seem to see more 10.3 users, and I wouldn't be surprised to find them confused (since generally the old-but-still-quasi-supported releases are not spotlighted on project websites, for good reason).

I don't usually favor Google Translate over a real speaker for localization purposes, but since this seems to be a significant problem, I think the Google alternative would be a reasonable choice; if nothing else, it makes it easier for a real speaker to fix the translations later, rather than starting from scratch.

Smokey

_________________
"[...] whether the duck drinks hot chocolate or coffee is irrelevant." -- ovvldc and sardisson in the NeoWiki
Back to top
View user's profile Send private message Visit poster's website
pluby
The Architect
The Architect


Joined: Jun 16, 2003
Posts: 11847
Location: California, USA

PostPosted: Wed Feb 10, 2010 10:48 am    Post subject: Reply with quote

sardisson wrote:
[Not new Mac users, no, but now that pretty much nothing new supports 10.3, any place that has a still-available version that supports 10.3 does seem to see more 10.3 users, and I wouldn't be surprised to find them confused (since generally the old-but-still-quasi-supported releases are not spotlighted on project websites, for good reason).


I understand your logic, but we really bury the NeoOffice 2.2.6 release and its 10.3 support so I am wondering where the "NeoOffice supports 10.3" message might be coming from.

Our download page even makes it clear in the bold heading that we only support Mac OS X 10.4 or higher and there is no mention of Mac OS X 10.3.

Patrick
Back to top
View user's profile Send private message Visit poster's website
pluby
The Architect
The Architect


Joined: Jun 16, 2003
Posts: 11847
Location: California, USA

PostPosted: Wed Feb 10, 2010 10:59 am    Post subject: Reply with quote

FYI. I just updated the error messages in my first post in this forum topic. The update error messages contain more direct wording that, hopefully, is easier to translate by non-native English speakers.

Patrick
Back to top
View user's profile Send private message Visit poster's website
sardisson
Town Crier
Town Crier


Joined: Feb 01, 2004
Posts: 4588

PostPosted: Wed Feb 10, 2010 12:15 pm    Post subject: Reply with quote

pluby wrote:
I understand your logic, but we really bury the NeoOffice 2.2.6 release and its 10.3 support so I am wondering where the "NeoOffice supports 10.3" message might be coming from.

From someone who has figured it out and has then posted it somewhere (say, a place like http://lowendmac.com/), perhaps with unclear wording or directions.

Smokey

_________________
"[...] whether the duck drinks hot chocolate or coffee is irrelevant." -- ovvldc and sardisson in the NeoWiki
Back to top
View user's profile Send private message Visit poster's website
Lorinda
Captain Mifune


Joined: Jun 20, 2006
Posts: 2051
Location: Midwest, USA

PostPosted: Thu Feb 11, 2010 7:42 am    Post subject: Reply with quote

It's possible that I'm one source for this confusion. Embarassed

There are occasional questions on the OOoCommunity forums about OOo for 10.3, and I will often suggest that NeoOffice 2.2.6 is an option for 10.3 that does not require X11.

I am always very careful to spell out that NeoOffice 3.x will not work on 10.3, and to point them to the 2.2.6 download page. Lately I've been even more emphatic about that point. But some people don't read carefully, and may miss all those warnings.

If you'd like me to stop making those suggestions, I will.

Lorinda
Back to top
View user's profile Send private message
pluby
The Architect
The Architect


Joined: Jun 16, 2003
Posts: 11847
Location: California, USA

PostPosted: Thu Feb 11, 2010 10:09 am    Post subject: Reply with quote

Lorinda wrote:
I am always very careful to spell out that NeoOffice 3.x will not work on 10.3, and to point them to the 2.2.6 download page. Lately I've been even more emphatic about that point. But some people don't read carefully, and may miss all those warnings.

If you'd like me to stop making those suggestions, I will.


Most likely, I will need to pull NeoOffice 2.2.6 if this continues. We are getting flooded by people who donate a few dollars and then ask for direct support or a refund immediately after downloaded because they cannot install NeoOffice.

These users have made it very clear that they expect direct personal support for very little money so we have been processing refunds daily now. That has never happened in past releases so clearly we are seeing a new wave of very high maintenance and, to put it bluntly, cheap Mac users.

That may sound harsh, but from my perspective I see the following trait in many of these new users:

1. They are running a very old version of Mac OS X - Panther came out in 2003 and you have not updated your Mac OS X? In most cases, that means that you are unable to maintain your own machine and have been unwilling to pay Apple or a Mac repair shop to maintain it for you.

2. They don't read - We literally repeat where to download, how to install, and how to get support in every place we can and still people are going to great effort to find an e-mail to send or a phone number to call.

3. They expect direct e-mail or phone support - While US$25 for online forum only support may sound high to some people, it is actually very inexpensive compared to Apple support. If you can use our forums for your support question, you get a product engineer (me) handling your issue. In contrast, for the US$79 that you pay for Apple's iWork, you get 90 days support from a support clerk who has no ability to fix the bug or implement the feature that you need.

The vast majority of our donors realize the value of having the actual engineer that builds the product handle your issues. I am very happy when they help us keep the cost of support low by using the forum to post their problems and questions.

Unfortunately, the sudden deluge of "help me!!!!" and "refund my money because NeoOffice won't install" e-mails is getting seriously limiting our ability to spend the time that we can spend on the donors that have been good to us by going through our normal support process.

This small percentage of new users are very timeconsuming to deal with and it has gotten to the point that if you send us an e-mail and I don't know who you are, we are just going to refund your donation and not talk to you.

Hopefully that approach is start to limit the time that these users are consuming in the coming weeks, but if it does not I will have to figure out a way to eliminate these new users so that they don't start jeopardizing my ability to work on bug fixes and features for the vast majority of our donors that seem to have no problem installing NeoOffice or using our existing support process.

Patrick
Back to top
View user's profile Send private message Visit poster's website
Lorinda
Captain Mifune


Joined: Jun 20, 2006
Posts: 2051
Location: Midwest, USA

PostPosted: Thu Feb 11, 2010 10:55 am    Post subject: Reply with quote

I'm sorry to hear that you are being inundated this way. I will refrain from recommending 2.2.6 in the OOo forums anymore. I had hoped that my clarity about which version works would be enough to forestall such problems, but obviously once again I've been too optimistic about people's abilities and/or attitudes.

Lorinda
Back to top
View user's profile Send private message
pluby
The Architect
The Architect


Joined: Jun 16, 2003
Posts: 11847
Location: California, USA

PostPosted: Thu Feb 11, 2010 11:31 am    Post subject: Reply with quote

Lorinda wrote:
I'm sorry to hear that you are being inundated this way. I will refrain from recommending 2.2.6 in the OOo forums anymore. I had hoped that my clarity about which version works would be enough to forestall such problems, but obviously once again I've been too optimistic about people's abilities and/or attitudes.


I am not sure that you can blame yourself as your posts at ooforums.org are very clear. In all fairness, I cannot really blame ooforums.org posters as the fact that someone has signed up for an account and posted there shows that they are comfortable with posting on a forum and that is definitely not what we are seeing in this new wave of users.

The only theory I have is that there are a lot of old Macs changing hands recently and a not so insignificant portion of those new owners are overwhelmed by configuring their new machine to their needs and are finding NeoOffice because we are now one of the very few applications that have any software that runs on Mac OS X 10.3.

Realistically, I think we need to plan on retiring NeoOffice 2.2.6 when we release NeoOffice 3.1.1 this spring. We originally maintained NeoOffice 2.2.6 in order to allow users some time to transition to NeoOffice 3.0.

It has been nearly a year since we released NeoOffice 3.0 and since NeoOffice 3.1.1 will be a major upgrade I would like have NeoOffice 3.0.2 be the release that users can fall back to if there any critical bugs are found in NeoOffice 3.1.1.

In other words, the "old download" page will eventually contain the last stable release instead of the last release for a 7 year old version of Mac OS X.

Patrick
Back to top
View user's profile Send private message Visit poster's website
pluby
The Architect
The Architect


Joined: Jun 16, 2003
Posts: 11847
Location: California, USA

PostPosted: Sun Feb 14, 2010 11:32 am    Post subject: Reply with quote

pluby wrote:
Realistically, I think we need to plan on retiring NeoOffice 2.2.6 when we release NeoOffice 3.1.1 this spring. We originally maintained NeoOffice 2.2.6 in order to allow users some time to transition to NeoOffice 3.0.

It has been nearly a year since we released NeoOffice 3.0 and since NeoOffice 3.1.1 will be a major upgrade I would like have NeoOffice 3.0.2 be the release that users can fall back to if there any critical bugs are found in NeoOffice 3.1.1.

In other words, the "old download" page will eventually contain the last stable release instead of the last release for a 7 year old version of Mac OS X.


FYI. Work on NeoOffice 3.1.1 is progressing at a good pace and I realized that I will need to use the existing "old download" page for NeoOffice 3.0.2 when NeoOffice 3.1.1 is released on the main download page. Since NeoOffice 2.2.6 will get pushed off the download list at that time (my rough estimate is that NeoOffice 3.1.1 will be released sometime in April 2010), I have added the following warning on all NeoOffice 2.2.6 download, language pack, and patch pages:

Quote:
Warning: NeoOffice 2.2.6 will no longer be available for download after March 2010. After March 2010, you will only be able to download NeoOffice 3.0.2 from this page. Mac OS X 10.3 users: NeoOffice 3.0.2 requires Mac OS X 10.4 or higher so after March 2010 we will no longer support Mac OS X 10.3.


I will be releasing NeoOffice 2.2.6 Patch 4 in the next week or two so any existing NeoOffice 2.2.x users that have not turned off patch checking should see this warning long before we remove NeoOffice 2.2.6 from the website.

If anyone can translate this warning, I will be happy to post your translation on the main website.

Patrick
Back to top
View user's profile Send private message Visit poster's website
ovvldc
Captain Naiobi


Joined: Sep 13, 2004
Posts: 2352
Location: Zürich, CH

PostPosted: Wed Feb 17, 2010 2:56 pm    Post subject: Reply with quote

Quote:
Warning: NeoOffice 2.2.6 will no longer be available for download after March 2010. After March 2010, you will only be able to download NeoOffice 3.0.2 from this page. Mac OS X 10.3 users: NeoOffice 3.0.2 requires Mac OS X 10.4 or higher so after March 2010 we will no longer support Mac OS X 10.3.


into Dutch:

Quote:
Waarschuwing: Na maart 2010 kunt u NeoOffice 2.2.6 niet meer ophalen. Na maart 2010 kunt u vanaf deze pagina alleen NeoOffice 3.0.2 ophalen. Gebruikers van Mac OS X 10.3: NeoOffice 3.0.2 vereist Mac OS X 10.4 of later, dus na maart 2010 ondersteunen wij Mac OS X 10.3 niet meer.


My apologies for the delay. I have been rather busy with the thesis and with finding a new job.

_________________
"What do you think of Western Civilization?"
"I think it would be a good idea!"
- Mohandas Karamchand Gandhi
Back to top
View user's profile Send private message
pluby
The Architect
The Architect


Joined: Jun 16, 2003
Posts: 11847
Location: California, USA

PostPosted: Wed Feb 17, 2010 4:04 pm    Post subject: Reply with quote

Thank you for the Dutch translations. I have posted them on the website.

Patrick
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:   
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    NeoOffice Forum Index -> NeoWiki and Website Development All times are GMT - 7 Hours
Page 1 of 1

 
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum

Powered by phpBB © 2001, 2005 phpBB Group

All logos and trademarks in this site are property of their respective owner. The comments are property of their posters, all the rest © Planamesa Inc.
NeoOffice is a registered trademark of Planamesa Inc. and may not be used without permission.
PHP-Nuke Copyright © 2005 by Francisco Burzi. This is free software, and you may redistribute it under the GPL. PHP-Nuke comes with absolutely no warranty, for details, see the license.
Page Generation: 0.03 Seconds